aboutsummaryrefslogtreecommitdiffstats
path: root/SlackBuilds/hugo
diff options
context:
space:
mode:
Diffstat (limited to 'SlackBuilds/hugo')
-rw-r--r--SlackBuilds/hugo/README23
-rw-r--r--SlackBuilds/hugo/hugo.SlackBuild91
-rw-r--r--SlackBuilds/hugo/hugo.info10
-rw-r--r--SlackBuilds/hugo/slack-desc19
4 files changed, 143 insertions, 0 deletions
diff --git a/SlackBuilds/hugo/README b/SlackBuilds/hugo/README
new file mode 100644
index 0000000..82dd3ed
--- /dev/null
+++ b/SlackBuilds/hugo/README
@@ -0,0 +1,23 @@
+Hugo is a static HTML and CSS website generator written in Go. It is
+optimized for speed, ease of use, and configurability. Hugo takes a
+directory with content and templates and renders them into a full HTML
+website.
+
+Hugo relies on Markdown files with front matter for metadata, and you
+can run Hugo from any directory. This works well for shared hosts and
+other systems where you don’t have a privileged account.
+
+Hugo renders a typical website of moderate size in a fraction of a
+second. A good rule of thumb is that each piece of content renders in
+around 1 millisecond.
+
+Hugo is designed to work well for any kind of website including blogs,
+tumbles, and docs.
+
+Notes:
+This slackbuild installs the "extended" version of Hugo. Please see
+the Hugo website for more about the additional functionality.
+
+Current release:
+Hugo cannot be updated beyond 0.148.2 in the current stable release
+of Slackware.
diff --git a/SlackBuilds/hugo/hugo.SlackBuild b/SlackBuilds/hugo/hugo.SlackBuild
new file mode 100644
index 0000000..062575a
--- /dev/null
+++ b/SlackBuilds/hugo/hugo.SlackBuild
@@ -0,0 +1,91 @@
+#!/bin/bash
+
+# Slackware build script for hugo
+
+# Copyright 2020-2025 Andrew Payne <phalange@komputermatrix.com>
+# Copyright 2018-2019 Donald Cooley South Haven, IN USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=hugo
+VERSION=${VERSION:-0.159.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "x86_64" ]; then
+ BIT="64bit"
+else
+ echo "$ARCH is not supported."
+ exit 1
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir -p $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM\_extended\_$VERSION\_Linux-$BIT.tar.gz -C $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/{usr/bin,opt/$PRGNAM}
+ cp -a * $PKG/opt/$PRGNAM
+ ln -s /opt/$PRGNAM/hugo $PKG/usr/bin/$PRGNAM
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ LICENSE README.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/SlackBuilds/hugo/hugo.info b/SlackBuilds/hugo/hugo.info
new file mode 100644
index 0000000..4a184a1
--- /dev/null
+++ b/SlackBuilds/hugo/hugo.info
@@ -0,0 +1,10 @@
+PRGNAM="hugo"
+VERSION="0.159.2"
+HOMEPAGE="https://gohugo.io"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://github.com/gohugoio/hugo/releases/download/v0.159.2/hugo_extended_0.159.2_Linux-64bit.tar.gz"
+MD5SUM_x86_64="a3e27d4b2049a710dbe7d7c1954a827e"
+REQUIRES=""
+MAINTAINER="Andrew Payne"
+EMAIL="phalange@komputermatrix.com"
diff --git a/SlackBuilds/hugo/slack-desc b/SlackBuilds/hugo/slack-desc
new file mode 100644
index 0000000..f7eafa6
--- /dev/null
+++ b/SlackBuilds/hugo/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+hugo: hugo (static HTML and CSS website generator written in Go)
+hugo:
+hugo: Hugo is a static HTML and CSS website generator written in Go. It is
+hugo: optimized for speed, ease of use, and configurability. Hugo takes a
+hugo: directory with content and templates and renders them into a full
+hugo: HTML website.
+hugo:
+hugo: Homepage: https://gohugo.io
+hugo:
+hugo:
+hugo: